MooseX::KavorkaInfo(3pm)

NAME
MooseX::KavorkaInfo - make Kavorka->info available through Moose meta objects

SYNOPSIS
   package Foo {
      use Moose;
      use MooseX::KavorkaInfo;
      use Kavorka qw( -default -modifiers );
      method xxx (Int $x) { return $x ** 3 }
   }

   package Foo::Verbose {
      use Moose;
      use MooseX::KavorkaInfo;
      use Kavorka qw( -default -modifiers );
      extends "Foo";
      before xxx { warn "Called xxx" }
   }

   my $method = Foo::Verbose->meta->get_method("xxx");
   say $method->signature->params->[1]->type->name;  # says "Int"

DESCRIPTION
MooseX::KavorkaInfo adds two extra methods to the Moose::Meta::Method meta objects associated with a class.

It "sees through" method modifiers to inspect the original method declaration.

  Methods

"signature"
    Returns a Kavorka::Signature object.

"declaration_keyword"
    Returns a string indicating what keyword the method was declared with.

BUGS
Please report any bugs to <http://rt.cpan.org/Dist/Display.html?Queue=Kavorka>.

SEE ALSO
Kavorka::Manual::API, Moose::Meta::Method.

AUTHOR
Toby Inkster <tobyink@cpan.org>.

COPYRIGHT AND LICENCE
This software is copyright (c) 2013-2014 by Toby Inkster.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.

DISCLAIMER OF WARRANTIES
THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.